Package org.eclipse.rdf4j.query.algebra.evaluation.util

## Enum QueryEvaluationUtility.Result

- java.lang.Object
- - java.lang.Enum<QueryEvaluationUtility.Result>
  - - org.eclipse.rdf4j.query.algebra.evaluation.util.QueryEvaluationUtility.Result

- All Implemented Interfaces:
    `Serializable`, `Comparable<QueryEvaluationUtility.Result>`
  Enclosing class:
    QueryEvaluationUtility

      public static enum QueryEvaluationUtility.Result
      extends Enum<QueryEvaluationUtility.Result>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `_false` |
    `_true` |
    `illegalArgument` |
    `incompatibleValueExpression` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `orElse​(boolean alternative)` |
    `static QueryEvaluationUtility.Result` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static QueryEvaluationUtility.Result[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### _true

          public static final QueryEvaluationUtility.Result _true

    - #### _false

          public static final QueryEvaluationUtility.Result _false

    - #### incompatibleValueExpression

          public static final QueryEvaluationUtility.Result incompatibleValueExpression

    - #### illegalArgument

          public static final QueryEvaluationUtility.Result illegalArgument

  - ### Method Detail

    - #### values

          public static QueryEvaluationUtility.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QueryEvaluationUtility.Result c : QueryEvaluationUtility.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QueryEvaluationUtility.Result valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### orElse

          public boolean orElse​(boolean alternative)